# 水杉码园教师使用手册（精简版）

[toc]

## 一、课程管理

### 1.1 课程创建

课程创建前需要登录教师账号，URL：http://gitea.shuishan.net.cn/

在首页中选择“课程”点击下方“+”号，或单击左上角头像处在下拉菜单中选择“ + 创建课程”进行课程创建。

![微信截图_20211013183551](image/微信截图_20211013183551.png)

页面跳转至“创建课程页”，按提示填写相关信息，单击“创建课程”完成课程创建。

注意：作业最大次数默认为10次，教师可根据开课过程中布置的作业次数设置该值，因创建课程后该值不可修改，建议设置作业最大次数略大于实际作业次数。

![微信截图_20211013211620](image/微信截图_20211013211620.png)

可以通过首页的课程模块访问相关课程。

![微信截图_20211013211912](image/微信截图_20211013211912.png)

进入课程显示如下页面。

![微信截图_20211013211932](image/微信截图_20211013211932.png)

### 1.2 成员管理

课程成员包括课程教师、助教、全体选课学生。

#### 1.2.1 添加助教

在课程首页的右侧有课程团队模块，"Owners"团队中的成员为课程的管理员，包括教师及助教。

单击"Owners"，进入“Owners”团队管理页，在搜索框中搜索助教人员相关信息，在下拉的提示菜单中选择相应的助教，单击“添加团队成员”即可完成助教添加。

助教在本课程中拥有和教师相同的操作权限。

![微信截图_20211013212348](image/微信截图_20211013212348.png)

![微信截图_20211013212436](image/微信截图_20211013212436.png)

#### 1.2.2 批量导入学生

单击课程首页的“导入学生”按钮，进入学生批量导入的页面。

![微信截图_20211013212737](image/微信截图_20211013212737.png)

课程学生以excel表的方式进行导入，excel表格有固定的格式，excel表格模板可以单击“模板下载”按钮下载查看。

单击“选择文件”上传学生信息的excel表格，单击“导入学生”。

![微信截图_20211013212932](image/微信截图_20211013212932.png)

导入学生信息的处理时间较长，教师可选择等待，也可以选择返回课程首页，系统后台依然会进行导入学生的操作。

导入学生成功后会显示成功导入学生的信息。

![微信截图_20211013213040](image/微信截图_20211013213040.png)

由于学生未在系统中注册等原因，部分学生可能会导入失败，教师会收到导入学生是否成功的相关邮件（可能需要等待较长时间），如有部分学生未导入成功，在邮件中会列出相关学生的信息。

教师可在课程首页单击“管理成员”，详细核对课程中已经导入的学生信息。

重复导入学生不会对课程中已经存在的学生造成影响。

![微信截图_20211013213138](image/微信截图_20211013213138.png)

添加学生后，系统会为每位学生创建以学生学号命名的仓库，该仓库对学生本人和课程教师及助教可见。

完成导入学生操作后，系统会自动创建“AllStuRead”和“AllStuWrite”仓库，这两个仓库对所有课程成员可见。学生对“AllStuRead”仓库只有可读权限，可在该仓库中存放课程资料，发布课程作业。学生对“AllStuWrite”仓库具有可写权限，可在此发布协作任务等。

![微信截图_20211013213239](image/微信截图_20211013213239.png)

### 1.3 课程资料上传

在上传课程资料前必须先批量导入学生（参考1.2.2节说明），导入学生后系统自动创建“AllStuRead”仓库。

资料上传使用“AllStuRead”仓库，该仓库对所有课程成员可见，对非课程成员不可见。

![微信截图_20211013214312](image/微信截图_20211013214312.png)

单击“AllStuRead”进入该仓库，可以通过新建文件夹、上传文件等功能上传课程资料。其中，上传文件功能可以同时上传多个文件。

![微信截图_20211013214526](image/微信截图_20211013214526.png)

仓库中有“话题”模块，教师可以通过“创建话题”的方式对上传资料的进行说明，也可以通过“创建话题”的方式发布通知、作业、上传作业相关附件。

![image-20210311201629803](image/image-20210311201629803.png)

![image-20210311202032777](image/image-20210311202032777.png)

同学们也可以在话题中跟帖讨论。

![image-20210311202348583](image/image-20210311202348583.png)

## 二、作业管理

课程学生将作业提交到以各自学号命名的仓库中，根据作业次序的不同，需提交到不同仓库分支。

例如第一次作业统一提交到各自学号命名的仓库中的homework01分支中。

![微信截图_20211014084022](image/微信截图_20211014084022.png)

课程管理员可以在课程首页下载所有仓库中指定分支的内容。

下图是下载所有学生仓库中homework01分支下的作业示例。

![微信截图_20211014084306](image/微信截图_20211014084306.png)

进入作业管理界面，管理员可以通过作业布置向对应的作业分支发送作业素材。

![作业管理](image/作业管理.png)

![作业布置](image/作业布置.png)

同时管理员可以设置作业提交的截止时间。

![截止日期](image/截止日期.png)

管理员还可以对学生提交的作业进行相似度比对。

![相似度](image/相似度.png)

![相似度结果](image/相似度结果.png)

## 三、积分系统

在课程首页的右下角展示了积分排行榜。

![微信截图_20211014084546](image/微信截图_20211014084546.png)

单击排行榜右侧的数字处，可查看学生提交数量、提问数量、回答数量等信息。

提交数量：学生在课程中提交作业、代码的次数

提问数量：学生在仓库话题中的发帖条数

回答数量：学生在仓库话题中的跟帖条数

![微信截图_20211014084630](image/微信截图_20211014084630.png)

单击“设置评分权重”，可以设置各项分数的权重。系统会加权赋分给出学生分数。

![微信截图_20211014084649](image/微信截图_20211014084649.png)